---

lustre_client_version: "2.12.5"

# Package will be store in this direcroty
lustre_client_pkg_dir: "/tmp/lustre"

# Get packages from whamcloud
# If local NFS server is not defined
lustre_repo_base_url: https://downloads.whamcloud.com/public/lustre/lustre-{{ lustre_client_version }}

# Get packages from NFS server
# Just uncomment to use NFS
# lustre_client_nfs_server: '192.168.16.245'
# lustre_client_build_criterias:
#   - "{{ lustre_client_version }}"
#   - "{{ ansible_facts['distribution']  }}"
#   - "{{ ansible_facts['distribution_version'] }}"
#   - "{{ ansible_facts['kernel'] }}"
# lustre_client_nfs_dir: "/srv/nfsshare/lustre-client-pkg/{{ lustre_client_build_criterias | join('/') }}"

# In case of multiple interfaces
# configure the interface matching this network:
# lustre_client_network: 192.168.16.0

# Mount
# lustre_mounts:
#   - src: 192.168.16.184@tcp0:192.168.16.186@tcp0:/ifbstor1
#     path: /shared/ifbstor1
#     opts: "_netdev"
